com.holonplatform.vaadin.navigator

## Interface SubViewContainer

- All Superinterfaces:
    Serializable, com.vaadin.navigator.View

      public interface SubViewContainer
      extends com.vaadin.navigator.View

  Define a `View` as container for other sub-views.

  Sub views bound to a SubViewContainer must declare parent container view name using `SubViewOf`.

  When a sub-view bound to this parent container is requested using `ViewNavigator`, the `display(View, String, Map)` method is called and the container is delegated to display the view contents.

  Since:
    4.4.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `display(com.vaadin.navigator.View view, String viewName, Map<String,String> parameters)` Display request for the given `view`: returns `true` if view is accepted and than diplayed by this sub-view container.
    `com.vaadin.navigator.View` | `getCurrentView()` Get current active `View` in this container

    - ### Methods inherited from interface com.vaadin.navigator.View

      `beforeLeave, enter, getViewComponent`

- - ### Method Detail

    - #### display

          boolean display(com.vaadin.navigator.View view,
                          String viewName,
                          Map<String,String> parameters)
                   throws ViewNavigator.ViewNavigationException

      Display request for the given `view`: returns `true` if view is accepted and than diplayed by this sub-view container. If `false` is returned, View lifecycle hooks and methods will be ignored (for example `OnShow` methods).
      Parameters:
        `view` - View instance to display
        `viewName` - View name
        `parameters` - View parameters is serialized form, or an empty map if none
      Returns:
        `true` if this container accepted to display the view, `false` otherwise.
      Throws:
        `ViewNavigator.ViewNavigationException` - Error navigating to view

    - #### getCurrentView

          com.vaadin.navigator.View getCurrentView()

      Get current active `View` in this container
      Returns:
        Current active View

Copyright © 2019 The Holon Platform. All rights reserved.